Foxit PDF SDK

Public Member Functions | List of all members
CFX_ByteStringC Class Reference
FXCRT

CONSTANT BYTE STRING CLASS. More...

Inherits CFX_Object.

Inherited by CFX_ByteStringL.

## Public Member Functions
| CFX_ByteStringC ()
| Constructs a null constant string.
| CFX_ByteStringC (const CFX_ByteString &src)
| Construct from a byte string. More...
| CFX_ByteStringC (const CFX_ByteStringC &src)
| Copy constructor. More...
| CFX_ByteStringC (const FX_CHAR &ch)
| Construct from a single character. More...
| CFX_ByteStringC (FX_LPCBYTE ptr, FX_STRSIZE size)
| Constructs from a byte string. More...
| CFX_ByteStringC (FX_LPCSTR ptr)
| Construct from a character string. More...
| CFX_ByteStringC (FX_LPCSTR ptr, FX_STRSIZE len)
| Construct from a character string. More...
FX_BYTE | GetAt (FX_STRSIZE index) const
| This method retrieves a single byte specified by an index number. More...
FX_LPCSTR | GetCStr () const
| Get a constant character string pointer to the byte string. More...
FX_DWORD | GetID (FX_STRSIZE start_pos=0) const
| Get a DWORD identifier of the string, from a particular position. More...
FX_STRSIZE | GetLength () const
| Get the length of the byte string. More...
FX_LPCBYTE | GetPtr () const
| Get a constant byte string pointer to the byte string. More...
bool | IsEmpty () const
| Check whether current string object is empty. More...
CFX_ByteStringC | Mid (FX_STRSIZE index, FX_STRSIZE count=-1) const
| This method extracts a substring of length count bytes from this CFX_ByteStringC object, starting at position index (zero-based). More...
| operator FX_LPCBYTE () const
| This casting operator accesses the byte string referred in a CFX_ByteStringC object. More...
bool | operator!= (const CFX_ByteStringC &str) const
| Comparison(!=) operator overload. case-sensitive. More...
CFX_ByteStringC & | operator= (const CFX_ByteString &src)
| Assignment(=) operator overload. From a CFX_ByteString object. More...
CFX_ByteStringC & | operator= (const CFX_ByteStringC &src)
| Assignment(=) operator overload. From a CFX_ByteStringC object. More...
CFX_ByteStringC & | operator= (FX_LPCSTR src)
| Assignment(=) operator overload. From a character string. More...
bool | operator== (const CFX_ByteStringC &str) const
| Comparison(==) operator overload. case-sensitive. More...

## Detailed Description

CONSTANT BYTE STRING CLASS.

Constant byte string, it contains no buffer so its content cannot be changed directly.